Skip to main content
GET
SMS 배치 상태 조회

Authorizations

Authorization
string
header
required

조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.

Path Parameters

batch_id
string
required

SMS 대량 발송 등록이 반환한 배치 ID입니다.

Response

성공 응답

GET /v3/sms/batch/{batch_id} 응답.

batch_id
string
required

배치의 고유 식별자 (UUID).

status
enum<string>
required

배치 캠페인 상태 ('pending'/'ongoing'/'success'/'fail'). success는 대기 항목이 없고 최소 1건이 발송된 상태로, 실패·차단 항목이 포함될 수 있다.

Available options:
pending,
ongoing,
success,
fail
total_count
integer
required

전체 항목 수.

Required range: x >= 0
success_count
integer
required

발송된 항목 수.

Required range: x >= 0
failure_count
integer
required

실패한 항목 수.

Required range: x >= 0
pending_count
integer
required

대기(미발송) 항목 수.

Required range: x >= 0
blocked_count
integer
required

차단된 항목 수.

Required range: x >= 0
created_at
integer
required

리소스 생성 시각입니다. unix milliseconds 형식입니다.

items
SMSBatchItemStatus · object[]
required

항목별 상태 목록.

title
string | null

배치 라벨. 없으면 null.

finished_at
integer | null

배치 완료 시각 (unix ms). 미완이면 null.